Kapitel 5. Paketmanagement
Zurück | 5.31 `apt-spy` | Weiter

## 5.31 `apt-spy`

`apt-spy` dient zur automatischen Erzeugung von Einträgen für die Datei `/etc/apt/sources.list` für `apt`. Hierzu wird aus dem Netz die Datei `http://http.us.debian.org/debian/README.mirrors.txt` geholt und auf Einträge für Debian-Spiegel-Server hin untersucht.

Die Syntax von `apt-spy` lautet:

    apt-spy  -d distribution  [ -a area ] [ -c config ] [ -e number ] [ -f file ] [ -i file ]
             [ -m mirror-list ] [ -o output-file ] [ -p proxy ] [ -s country-list ] [ -t time ]
    	 [ -u update-URL ] [ -w file ] [ -n number ] [ -h ] [ -v ] [ update ]

Es ist also zumindest die zu verwendende Distribution, beispielsweise „stable“, „unstable“ oder „testing“, anzugeben. Es werden dann alle (angegebenen) Server hinsichtlich der Bandbreite für Downloads analysiert, und die schnellsten werden in die Datei `/etc/apt/sources.list` eingetragen. Die ursprünglich an diesem Ort existierende Datei wird als `sources.list.bak` gesichert.

Optionen

`-d distribution`

  Gibt die zu verwendende Distribution, „stable“, „unstable“ oder „testing“ an. Diese Option ist immer anzugeben, mit Ausnahme bei der Option `update`.

`-a area`

  Hiermit kann die Analyse auf bestimmte geografische Regionen eingegrenzt werden, beispielsweise „Africa“, „Asia“, „Europe“, „North-America“ oder auch „Oceania“. Diese Angaben können auch in der Datei `/etc/apt-spy.conf` abgelegt werden.

`-c config`

  Zu verwendende Konfigurationsdatei statt `/etc/apt-spy.conf`.

`-e number`

  „early finish“, beendet die Analyse nach der angegebenen Zahl von Servern.

`-f file`

  Die Datei, die für den Test der Bandbreite vom Server geholt werden soll. Normalerweise ist dies die Datei `ls-lR` im Wurzelverzeichnis des Debian-Servers. Wird eine andere Datei angegeben, so muss der Pfad relativ zum Wurzelverzeichnis auf dem Server angegeben werden.

`-i file`

  Die Eingabedatei, aus der `apt-spy` die Liste der Server liest. Diese Liste sollte mit der Option `-w` erzeugt werden.

`-m mirror-list`

  Lokale Datei mit den Informationen zu den Debian-Spiegeln. Normalerweise wird die Datei `/usr/share/apt-spy/README.mirrors.txt` genutzt. Wird diese Option im Zusammenspiel mit `update` genutzt, so wird die Datei an dem gewünschten Ort abgelegt.

`-o output-file`

  Datei, in die die ermittelten Server geschrieben werden, normalerweise ist dies `/etc/apt/sources.list`.

`-p proxy`

  Mit dieser Option kann ein Proxy-Server benutzt werden. Dieser ist als `hostname:port` anzugeben.

`-s country-list`

  Eine komma-separierte Liste von Ländern, aus denen die Debian-Spiegel geprüft werden sollen. Momantan kann diese Option nicht zusammen mit der Option `area` verwendet werden.

`-t time`

  Durchschnittliche Zeit, die für den Download-Test verwendet werden soll. Voreingestellt sind 15 Sekunden.

`-u update-URL`

  Adresse, von der die Liste der Debian-Spiegel bezogen werden soll.

`-w file`

  Schreibt eine Anzahl von Servern in eine Datei, die mit der Option `-i` weiterverarbeitet werden kann. Die Anzahl ist auf 5 voreingestellt und kann mit der Option `-n` angepasst werden.

`-n number`

  Anzahl der Server, die bei Verwendung der Option `-w` ausgegeben werden soll.

`update`

  Aktualisiert die Liste der Debian-Spiegel vom Server `http.us.debian.org` aus der Datei `/usr/share/apt-spy/README.mirrors.txt`.

`-v`

  Gibt die Versionsnummer von `apt-spy` aus.

`-h`

  Zeigt eine kurze Hilfe zu `apt-spy` an.

      fr@wasabi:~$ apt-spy -h
      Usage: apt-spy [options]
      options:
      -d distribution Debian distribution (ie, stable). Required unless updating.
      -a area         Area to benchmark. (eg, Europe).
      -c config       Configuration file to use.
      -e number       Number of servers to benchmark before exiting.
      -f file         File to grab when benchmarking. (relative to Debian base).
      -i file         Specify input file. For use with the -w option.
      -m mirror-list  Mirror list to use, or mirror-list to update when updating.
      -o output-file  Where to put output.
      -p proxy        Proxy server to use. In format <server>:[port]
      -s country_list List of countries to benchmark. Cannot be used with -a.
      -t time         Time to benchmark each server for. An approximate value only.
      -u update-URL   URL to grab mirror-list from when updating.
      -w file         Output top servers (5 by default) to file for use with -i.
      -n number       Specifies number of top servers to output with -w.
      -v              Output a version number.
      -h              Display this message.
      update          Update the mirror list.

Zurück | Nach oben | Weiter
5.30 `apt-config` | Zum Anfang | 5.32 `cron-apt`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).